Prechod na Joomlu 3 z 2.5.28

Mat
01. dub 2018 22:17 #134958
Chcem už konečne prejsť na joomlu 3 z verzie 2.5.28, postupujem podľa krokov na internete. Keď už prebieha aktualizácia tak pri 80 % mi to padá a vypisuje chybu napr.:
1091 - Došlo k chybe
Can't DROP 'usertype'; check that column/key exists SQL=ALTER TABLE `#__users` DROP INDEX `usertype`;

Myslím si že je to preto že používam šablónu 2.5, tak som sa prepol do šablóny Atomic, no napriek tomu to nejde.
Keď chcem odinštalovať niektoré súbory v Správa rozšírení - Správa, tak to nieje možné, vypisuje:

Nepodařilo se nahrát XML soubor
/data/www/fara/oravskajasenica/administrator/manifests/packages/pkg_dpcalendar.xml
XML: failed to load external entity "/data/www/fara/oravskajasenica/administrator/manifests/packages/pkg_dpcalendar.xml"
Odinstalace balíčku: Schází soubor manifest
Při odinstalaci balíčku došlo k chybě.

Keď chcem napr. zmazať nejakú šablonu ktorú nepoužívam, tak zahlási:
Nelze smazat poslední zbývající variantu šablony

Čo mám robiť?
Chcem sa ešte opýtať čo všetko musím odinštalovať (vymazať) aby ta joomla išla aktualizovať na vyššiu verziu?
Venujem sa tomu už dlho, no stále to vyhodí chybu.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
01. dub 2018 23:00 #134960
docs.joomla.org/Joomla_2.5_to_3.x_Step_by_Step_Migration

Nejenom šablona, ale i veškerá rozšíření musí být kompatibilní s joomla 3.
Pokud není použitá šablona kompatibilní s joomlou 3, tak je často lepší vytvořit si nový web pod joomlou 3 dle vašich představ a data z původního webu do něj nahrát nějakým migratorem, třeba Jmigrator.

Pokud si na to netroufáte, nechte si to někým udělat.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Mat
02. dub 2018 00:48 - 02. dub 2018 00:50 #134964
Ako viem zistiť ktoré rozšírenie je kompatibilné s Joomla 3

Ta migracia sa mi celkom pozdáva, viete o nejakom rozšírení zadarmo?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
02. dub 2018 07:17 #134966

matusko napsal: Ako viem zistiť ktoré rozšírenie je kompatibilné s Joomla 3


Tak, že se podíváte na stránky autora. Buď ještě existuje a pokračuje ve vývoji, nebo ne.
Tak jako tak do nové verze Joomly musíte nainstalovat i novou verzi rozšíření a data do něj dostat zvlášť. To nemá s Joomlou nic společného. Jak migrovat najdete opět na stránkách toho kterého rozšíření.

Ta migracia sa mi celkom pozdáva, viete o nejakom rozšírení zadarmo?


Hledejte na JED, mohl by stačit třeba J2XML.

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
02. dub 2018 12:21 #134969

Ta migracia sa mi celkom pozdáva, viete o nejakom rozšírení zadarmo?


Záleží, co vše máte na stránkách a co chcete migrovat. Já osobně vždy používám jmigrator

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Mat
02. dub 2018 20:44 #134973
Keby bol zadarmo jmigrator - isto by som ho tiež použil.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
02. dub 2018 22:09 #134977
napište mi odkaz na web, ať vidím, co tam vlastně máte

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.